Gecode::Search::Seq::PortfolioStop Class Reference

Stop object used for controling slaves in a portfolio. More...

`#include <pbs.hh>`

## Public Member Functions

| PortfolioStop (Stop *so)
| Initialize.
void | share (SharedStopInfo *ssi)
| Intialize shared stop information.
virtual bool | stop (const Statistics &s, const Options &o)
| Return true if portfolio engine must be stopped.
| Stop (void)
| Default constructor.
virtual | ~Stop (void)
| Destructor.

## Additional Inherited Members

static Stop * | node (unsigned long int l)
| Stop if node limit l has been exceeded.
static Stop * | fail (unsigned long int l)
| Stop if failure limit l has been exceeded.
static Stop * | time (unsigned long int l)
| Stop if time limit l (in milliseconds) has been exceeded.
Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

Stop object used for controling slaves in a portfolio.

Definition at line 51 of file pbs.hh.

## Constructor & Destructor Documentation

## PortfolioStop()

Gecode::Search::Seq::PortfolioStop::PortfolioStop | ( | Stop * | so | ) |

inline

Initialize.

Definition at line 40 of file pbs.hpp.

## Member Function Documentation

## share()

void Gecode::Search::Seq::PortfolioStop::share | ( | SharedStopInfo * | ssi | ) |

inline

Intialize shared stop information.

Definition at line 43 of file pbs.hpp.

## stop()

bool Gecode::Search::Seq::PortfolioStop::stop | ( | const Statistics & | s,
|  | const Options & | o )

virtual

Return true if portfolio engine must be stopped.

Implements Gecode::Search::Stop.

Definition at line 39 of file pbs.cpp.

The documentation for this class was generated from the following files:

- gecode/search/seq/pbs.hh
- gecode/search/seq/pbs.cpp
- gecode/search/seq/pbs.hpp